Page 6 of 230 FirstFirst ... 456781656106 ... LastLast
Results 51 to 60 of 2295

Thread: HOWTO: Install and use the latest FFmpeg and x264

  1. #51
    Join Date
    Sep 2006
    Beans
    3,480

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by lunaz View Post
    i installed libfaad2-0 stuff from synaptic

    Code:
    luna@sux:~/ffmpeg$ ./configure --enable-gpl --enable-postproc --enable-libvorbis --enable-libtheora --disable-debug --enable-libmp3lame --enable-libfaad2-0 --enable-libfaac --enable-pthreads --enable-libx264
    Unknown option "--enable-libfaad2-0".
    See ./configure --help for available options.
    luna@sux:~/ffmpeg$
    i tried the above line w libfaad also, and w/o the option, still not working --disable libfaad doesn't do any diferent either.

    do i have to start all over after installing libfaad2-0 packages?
    There is no ffmpeg configuration option called "--enable-libfaad2-0". You can see what configuration options are available with "./configure --help" when you are in your ffmpeg folder. You are getting this error because you told ffmpeg to compile with FAAD support, but ffmpeg thinks that the libfaad-dev package isn't installed or it can't find it for some reason. Try this:
    Code:
    sudo aptitude install libfaad-dev libfaac-dev liblame-dev
    cd ~/ffmpeg
    make distclean
    ./configure --enable-gpl --enable-postproc --enable-libvorbis --enable-libtheora --disable-debug --enable-libmp3lame --enable-libfaad --enable-libfaac --enable-pthreads --enable-libx264
    If you want to disable support for FAAD, then remove "--enable-libfaad" from your ffmpeg configuration line. I made a mistake when telling you to use "--disable-libfaad" because by default it is disabled according to "./configure --help".

  2. #52
    Join Date
    Sep 2006
    Beans
    3,480

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by mocha View Post
    Can you give this a try with the latest x264 and ffmpeg? Thanks!
    I didn't get any errors. Works fine for me with yesterday's ffmpeg and x264. I bet the latest ffmpeg will work for you.

  3. #53
    Join Date
    Sep 2006
    Beans
    548

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by FakeOutdoorsman View Post
    I didn't get any errors. Works fine for me with yesterday's ffmpeg and x264. I bet the latest ffmpeg will work for you.
    Thanks. I'll give it a shot.

  4. #54
    Join Date
    Jan 2007
    Location
    missoula,mt,usa
    Beans
    276
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    i tried to install the packages but it couldn't be found

    i did check if i had muli/universe repos enabled and i do (according to synaptic)

    Code:
    luna@sux:~$ sudo aptitude install libfaad-dev libfaac-dev liblame-dev
    [sudo] password for luna:
    Reading package lists... Done
    Building dependency tree       
    Reading state information... Done
    Reading extended state information       
    Initializing package states... Done
    Writing extended state information... Done
    Building tag database... Done             
    Couldn't find any package whose name or description matched "libfaad-dev"
    No packages will be installed, upgraded, or removed.
    0 packages upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
    Need to get 0B of archives. After unpacking 0B will be used.
    Writing extended state information... Done
    Reading package lists... Done             
    Building dependency tree       
    Reading state information... Done
    Reading extended state information      
    Initializing package states... Done
    Building tag database... Done
    teh-serverer: ubuntu 8.10 server with hp printer, external hd
    badassness: ubuntu 8.04, windows xp
    runt: netbook with eeebuntu nbr & winxp dual boot
    Missoula LUG Google Group

  5. #55
    Join Date
    Sep 2006
    Beans
    3,480

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Quote Originally Posted by lunaz View Post
    i tried to install the packages but it couldn't be found

    i did check if i had muli/universe repos enabled and i do (according to synaptic)
    I should have noticed that your probably not running Hardy according to your signature. The package name for libfaad is different in Feisty. Try this:
    Code:
    sudo aptitude install libfaad2-dev

  6. #56
    Join Date
    Feb 2008
    Beans
    124
    Distro
    Ubuntu 12.04 Precise Pangolin

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Great HOWTO. Many thanks.

    This may be a stupid question but why do we find these 'old' x264 builds in the repos? If there are constant improvements, then why aren't they added to the repos? Seems to make sense to me.
    Ubuntu 12.04: E8200 // P35 // 4GB // HD4850
    OS X 10.7.x: iMac 12,2; MacBook 5,2

  7. #57
    Join Date
    Sep 2006
    Beans
    3,480

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    Thanks for the feedback. That's a good question. I think because Ubuntu is not a rolling release the package is only usually updated once per stable release. If there is a bad bug or someone files a backport then it may get updated. That's my guess.

  8. #58
    Join Date
    Jan 2007
    Location
    missoula,mt,usa
    Beans
    276
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    actually, that computer is running gutsy. i don't update my sig enough i'll try that command when i get home

    Quote Originally Posted by FakeOutdoorsman View Post
    I should have noticed that your probably not running Hardy according to your signature. The package name for libfaad is different in Feisty. Try this:
    Code:
    sudo aptitude install libfaad2-dev
    Last edited by lunaz; July 31st, 2008 at 08:26 PM.
    teh-serverer: ubuntu 8.10 server with hp printer, external hd
    badassness: ubuntu 8.04, windows xp
    runt: netbook with eeebuntu nbr & winxp dual boot
    Missoula LUG Google Group

  9. #59
    Join Date
    Jan 2007
    Location
    missoula,mt,usa
    Beans
    276
    Distro
    Ubuntu 8.10 Intrepid Ibex

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    ok, i tried again & i definately have the libfaad2-dev pack installed, but i still cant do the configure thing even if i do --disable libfaad2-dev
    teh-serverer: ubuntu 8.10 server with hp printer, external hd
    badassness: ubuntu 8.04, windows xp
    runt: netbook with eeebuntu nbr & winxp dual boot
    Missoula LUG Google Group

  10. #60
    Join Date
    Sep 2006
    Beans
    3,480

    Re: HOWTO: Compile the latest ffmpeg and x264 from source

    What is the error you are getting? "--disable libfaad2-dev" is not an option since it is not listed in "./configure --help". By default ffmpeg will not compile with support for libfaad, so you don't even need to mention libfaad in your configuration options if you don't want it. You can see what configuration options are enabled or disabled by default with "./configure --help".

Page 6 of 230 FirstFirst ... 456781656106 ... LastLast

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •